%define	name	extipl
%define	version	5.04
%define release	%mkrel 10

Summary:	Yet Another Boot Selector for IBM-PC compatibles
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.tsden.org/ryutaroh/extipl/extipl.html
Source0:	http://www.tsden.org/takamiti/extipl/archs/%{name}-%{version}.tar.bz2
License:	GPL+
Group:		System/Kernel and hardware
BuildRequires:	nasm
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Exclusivearch:	%{ix86}
Patch1:		extipl-5.03-fix-manpage.patch
# Fix a nasm syntax error - 'crc32' is now a keyword in nasm
# - AdamW 2007/10
Patch2:		extipl-5.04-syntax.patch
# From Debian - fixes build problems - AdamW 2007/10
Patch3:		extipl-5.04-debian.patch

%description
Extended-IPL is a boot selector which is upper compatible with 
original IBM IPL. This package includes the installer for this
boot code which is written into MBR of your hard disk.

With this boot selector, you can select a partition from 
all the partitions including the logical partitions as well as 
the primary ones in all the BIOS supported disks when booting a PC,
and then it will boot up the OS reside at the selected partition.

%prep
%setup -q
%patch1 -p1
%patch2 -p1 -b .syntax
%patch3 -p1 -b .debian

cat > uninstall_linux_or_grub.txt <<EOF
If you want to remove Linux, you must be careful to replace LILO or GRUB with
something else.

The equivalent of the Microsoft DOS/Windows(R) "fdisk /mbr" is:
% dd if=/usr/lib/extipl/aldebaran.bin of=/dev/hda
where you must replace hda with your first hard drive (eg: sda, hdc...)
EOF

%build
%make -C src

%install
rm -rf $RPM_BUILD_ROOT

install src/%{name} -D $RPM_BUILD_ROOT%{_sbindir}/%{name}

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m 644 src/{pollux,castor,altair,aldebaran}.bin $RPM_BUILD_ROOT%{_libdir}/%{name}

install -D -m 644 src/extipl.8.in $RPM_BUILD_ROOT%{_mandir}/man8/extipl.8


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc uninstall_linux_or_grub.txt doc/English/*
%{_sbindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.04-10mdv2009.0
+ Revision: 220738
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Adam Williamson <awilliamson@mandriva.com> 5.04-9mdv2008.1
+ Revision: 106206
- rebuild for lzma permission issue (#35309)

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.com> 5.04-8mdv2008.1
+ Revision: 105672
- add extipl-5.04-debian.patch (from debian) to fix C build errors
- add extipl-5.04-syntax.patch to fix nasm syntax errors
- rebuild for 2008
- new license policy


* Fri Jan 12 2007 Pixel <pixel@mandriva.com> 5.04-7mdv2007.0
+ Revision: 108022
- use mkrel
- Import extipl

* Wed Oct 12 2005 Pixel <pixel@mandriva.com> 5.04-6mdk
- rebuild

* Sat Aug 14 2004 Pixel <pixel@mandrakesoft.com> 5.04-5mdk
- rebuild

